import { html as l } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, c = (f, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? u(r, s) : r, p = f.length - 1, i; p >= 0; p--)
    (i = f[p]) && (e = (t ? i(r, s, e) : i(e)) || e);
  return t && e && m(r, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--offer", this.class = "c-pieIcon c-pieIcon--offer", this.name = "IconOffer";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--offer"><path d="M7.676 14.939 1.087 8.35l6.38-6.387a1.409 1.409 0 0 1 1.12-.403l5.337.534.533 5.346a1.373 1.373 0 0 1-.393 1.111L7.676 14.94ZM2.942 8.35l4.734 4.734 5.46-5.46-.411-4.331-4.27-.42L2.942 8.35Zm7.683-3.85a.875.875 0 1 0 0 1.75.875.875 0 0 0 0-1.75Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  h("icon-offer")
], o);
export {
  o as IconOffer
};
